searchNodes=[{"doc":"API client metadata for GoogleApi.PubSub.V1.","ref":"GoogleApi.PubSub.V1.html","title":"GoogleApi.PubSub.V1","type":"module"},{"doc":"","ref":"GoogleApi.PubSub.V1.html#discovery_revision/0","title":"GoogleApi.PubSub.V1.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged Projects.","ref":"GoogleApi.PubSub.V1.Api.Projects.html","title":"GoogleApi.PubSub.V1.Api.Projects","type":"module"},{"doc":"Creates a snapshot from the requested subscription. Snapshots are used in Seek operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. If the snapshot already exists, returns ALREADY_EXISTS. If the requested subscription doesn't exist, returns NOT_FOUND. If the backlog in the subscription is too old -- and the resulting snapshot would expire in less than 1 hour -- then FAILED_PRECONDITION is returned. See also the Snapshot.expire_time field. If the name is not provided in the request, the server will assign a random name for this snapshot on the same project as the subscription, conforming to the [resource name format] (https://cloud.google.com/pubsub/docs/admin#resource_names). The generated name is populated in the returned Snapshot object. Note that for REST API requests, you must specify a name in the request.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. User-provided name for this snapshot. If the name is not provided in the request, the server will assign a random name for this snapshot on the same project as the subscription. Note that for REST API requests, you must specify a name. See the a href=&quot;https://cloud.google.com/pubsub/docs/admin#resource_names&quot; resource name rules&lt;/a&gt;. Format is projects/{project}/snapshots/{snap}. snapshots_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Snapshot{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_create/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_create/5","type":"function"},{"doc":"Removes an existing snapshot. Snapshots are used in [Seek] (https://cloud.google.com/pubsub/docs/replay-overview) operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. When the snapshot is deleted, all messages retained in the snapshot are immediately dropped. After a snapshot is deleted, a new one may be created with the same name, but the new one has no association with the old snapshot or its subscription, unless the same subscription is specified.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of snapshot. Required. The name of the snapshot to delete. Format is projects/{project}/snapshots/{snap}. snapshots_id (type: String.t) - Part of snapshot. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_delete/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_delete/5","type":"function"},{"doc":"Gets the configuration details of a snapshot. Snapshots are used inSeekoperations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of snapshot. Required. The name of the snapshot to get. Format is projects/{project}/snapshots/{snap}. snapshots_id (type: String.t) - Part of snapshot. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Snapshot{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_get/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_get/5","type":"function"},{"doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. snapshots_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;options.requestedPolicyVersion&quot; (type: integer()) - Optional. The policy format version to be returned.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional bindings must specify version 3. Policies without any conditional bindings may specify any valid value or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_get_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_get_iam_policy/5","type":"function"},{"doc":"Lists the existing snapshots. Snapshots are used in Seek operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of project. Required. The name of the project in which to list snapshots. Format is projects/{project-id}. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of snapshots to return. :pageToken (type: String.t) - The value returned by the last ListSnapshotsResponse; indicates that this is a continuation of a prior ListSnapshots call, and that the system should return the next page of data. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.ListSnapshotsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_list/4","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_list/4","type":"function"},{"doc":"Updates an existing snapshot. Snapshots are used inSeekoperations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of snapshot.name. The name of the snapshot. snapshots_id (type: String.t) - Part of snapshot.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Snapshot{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_patch/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_patch/5","type":"function"},{"doc":"Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. snapshots_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_set_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_set_iam_policy/5","type":"function"},{"doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may &quot;fail open&quot; without warning.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. snapshots_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_test_iam_permissions/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_test_iam_permissions/5","type":"function"},{"doc":"Acknowledges the messages associated with the ack_ids in the AcknowledgeRequest. The Pub/Sub system can remove the relevant messages from the subscription.Acknowledging a message whose ack deadline has expired may succeed, but such a message may be redelivered later. Acknowledging a message more than once will not result in an error.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The subscription whose message is being acknowledged. Format is projects/{project}/subscriptions/{sub}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.AcknowledgeRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_acknowledge/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_acknowledge/5","type":"function"},{"doc":"Creates a subscription to a given topic. See the [resource name rules] (https://cloud.google.com/pubsub/docs/admin#resource_names). If the subscription already exists, returns ALREADY_EXISTS. If the corresponding topic doesn't exist, returns NOT_FOUND.If the name is not provided in the request, the server will assign a random name for this subscription on the same project as the topic, conforming to the [resource name format] (https://cloud.google.com/pubsub/docs/admin#resource_names). The generated name is populated in the returned Subscription object. Note that for REST API requests, you must specify a name in the request.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the subscription. It must have the format &quot;projects/{project}/subscriptions/{subscription}&quot;. {subscription} must start with a letter, and contain only letters ([A-Za-z]), numbers ([0-9]), dashes (-), underscores (_), periods (.), tildes (~), plus (+) or percent signs (%). It must be between 3 and 255 characters in length, and it must not start with &quot;goog&quot;. subscriptions_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.Subscription.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Subscription{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_create/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_create/5","type":"function"},{"doc":"Deletes an existing subscription. All messages retained in the subscription are immediately dropped. Calls to Pull after deletion will return NOT_FOUND. After a subscription is deleted, a new one may be created with the same name, but the new one has no association with the old subscription or its topic unless the same topic is specified.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The subscription to delete. Format is projects/{project}/subscriptions/{sub}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_delete/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_delete/5","type":"function"},{"doc":"Detaches a subscription from this topic. All messages retained in the subscription are dropped. Subsequent Pull and StreamingPull requests will return FAILED_PRECONDITION. If the subscription is a push subscription, pushes to the endpoint will stop.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The subscription to detach. Format is projects/{project}/subscriptions/{subscription}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_detach/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_detach/5","type":"function"},{"doc":"Gets the configuration details of a subscription.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The name of the subscription to get. Format is projects/{project}/subscriptions/{sub}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Subscription{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_get/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_get/5","type":"function"},{"doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. subscriptions_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;options.requestedPolicyVersion&quot; (type: integer()) - Optional. The policy format version to be returned.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional bindings must specify version 3. Policies without any conditional bindings may specify any valid value or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_get_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_get_iam_policy/5","type":"function"},{"doc":"Lists matching subscriptions.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of project. Required. The name of the project in which to list subscriptions. Format is projects/{project-id}. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of subscriptions to return. :pageToken (type: String.t) - The value returned by the last ListSubscriptionsResponse; indicates that this is a continuation of a prior ListSubscriptions call, and that the system should return the next page of data. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_list/4","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_list/4","type":"function"},{"doc":"Modifies the ack deadline for a specific message. This method is useful to indicate that more time is needed to process a message by the subscriber, or to make the message available for redelivery if the processing was interrupted. Note that this does not modify the subscription-level ackDeadlineSeconds used for subsequent messages.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The name of the subscription. Format is projects/{project}/subscriptions/{sub}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_modify_ack_deadline/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_modify_ack_deadline/5","type":"function"},{"doc":"Modifies the PushConfig for a specified subscription.This may be used to change a push subscription to a pull one (signified by an empty PushConfig) or vice versa, or change the endpoint URL and other attributes of a push subscription. Messages will accumulate for delivery continuously through the call regardless of changes to the PushConfig.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The name of the subscription. Format is projects/{project}/subscriptions/{sub}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_modify_push_config/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_modify_push_config/5","type":"function"},{"doc":"Updates an existing subscription. Note that certain properties of a subscription, such as its topic, are not modifiable.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription.name. Required. The name of the subscription. It must have the format &quot;projects/{project}/subscriptions/{subscription}&quot;. {subscription} must start with a letter, and contain only letters ([A-Za-z]), numbers ([0-9]), dashes (-), underscores (_), periods (.), tildes (~), plus (+) or percent signs (%). It must be between 3 and 255 characters in length, and it must not start with &quot;goog&quot;. subscriptions_id (type: String.t) - Part of subscription.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Subscription{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_patch/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_patch/5","type":"function"},{"doc":"Pulls messages from the server. The server may return UNAVAILABLE if there are too many concurrent pull requests pending for the given subscription.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The subscription from which messages should be pulled. Format is projects/{project}/subscriptions/{sub}. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.PullRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.PullResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_pull/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_pull/5","type":"function"},{"doc":"Seeks an existing subscription to a point in time or to a given snapshot, whichever is provided in the request. Snapshots are used in Seek operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Note that both the subscription and the snapshot must be on the same topic.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of subscription. Required. The subscription to affect. subscriptions_id (type: String.t) - Part of subscription. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.SeekRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.SeekResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_seek/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_seek/5","type":"function"},{"doc":"Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. subscriptions_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_set_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_set_iam_policy/5","type":"function"},{"doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may &quot;fail open&quot; without warning.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. subscriptions_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_test_iam_permissions/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_test_iam_permissions/5","type":"function"},{"doc":"Creates the given topic with the given name. See the resource name rules.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the topic. It must have the format &quot;projects/{project}/topics/{topic}&quot;. {topic} must start with a letter, and contain only letters ([A-Za-z]), numbers ([0-9]), dashes (-), underscores (_), periods (.), tildes (~), plus (+) or percent signs (%). It must be between 3 and 255 characters in length, and it must not start with &quot;goog&quot;. topics_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.Topic.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Topic{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_create/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_create/5","type":"function"},{"doc":"Deletes the topic with the given name. Returns NOT_FOUND if the topic does not exist. After a topic is deleted, a new topic may be created with the same name; this is an entirely new topic with none of the old configuration or subscriptions. Existing subscriptions to this topic are not deleted, but their topic field is set to _deleted-topic_.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of topic. Required. Name of the topic to delete. Format is projects/{project}/topics/{topic}. topics_id (type: String.t) - Part of topic. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_delete/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_delete/5","type":"function"},{"doc":"Gets the configuration of a topic.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of topic. Required. The name of the topic to get. Format is projects/{project}/topics/{topic}. topics_id (type: String.t) - Part of topic. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Topic{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_get/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_get/5","type":"function"},{"doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. topics_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;options.requestedPolicyVersion&quot; (type: integer()) - Optional. The policy format version to be returned.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional bindings must specify version 3. Policies without any conditional bindings may specify any valid value or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_get_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_get_iam_policy/5","type":"function"},{"doc":"Lists matching topics.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of project. Required. The name of the project in which to list topics. Format is projects/{project-id}. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of topics to return. :pageToken (type: String.t) - The value returned by the last ListTopicsResponse; indicates that this is a continuation of a prior ListTopics call, and that the system should return the next page of data. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.ListTopicsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_list/4","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_list/4","type":"function"},{"doc":"Updates an existing topic. Note that certain properties of a topic are not modifiable.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of topic.name. Required. The name of the topic. It must have the format &quot;projects/{project}/topics/{topic}&quot;. {topic} must start with a letter, and contain only letters ([A-Za-z]), numbers ([0-9]), dashes (-), underscores (_), periods (.), tildes (~), plus (+) or percent signs (%). It must be between 3 and 255 characters in length, and it must not start with &quot;goog&quot;. topics_id (type: String.t) - Part of topic.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.UpdateTopicRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Topic{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_patch/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_patch/5","type":"function"},{"doc":"Adds one or more messages to the topic. Returns NOT_FOUND if the topic does not exist.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of topic. Required. The messages in the request will be published on this topic. Format is projects/{project}/topics/{topic}. topics_id (type: String.t) - Part of topic. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.PublishRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.PublishResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_publish/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_publish/5","type":"function"},{"doc":"Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. topics_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_set_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_set_iam_policy/5","type":"function"},{"doc":"Lists the names of the snapshots on this topic. Snapshots are used in Seek operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of topic. Required. The name of the topic that snapshots are attached to. Format is projects/{project}/topics/{topic}. topics_id (type: String.t) - Part of topic. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of snapshot names to return. :pageToken (type: String.t) - The value returned by the last ListTopicSnapshotsResponse; indicates that this is a continuation of a prior ListTopicSnapshots call, and that the system should return the next page of data. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_snapshots_list/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_snapshots_list/5","type":"function"},{"doc":"Lists the names of the attached subscriptions on this topic.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of topic. Required. The name of the topic that subscriptions are attached to. Format is projects/{project}/topics/{topic}. topics_id (type: String.t) - Part of topic. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of subscription names to return. :pageToken (type: String.t) - The value returned by the last ListTopicSubscriptionsResponse; indicates that this is a continuation of a prior ListTopicSubscriptions call, and that the system should return the next page of data. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_subscriptions_list/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_subscriptions_list/5","type":"function"},{"doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may &quot;fail open&quot; without warning.Parameters connection (type: GoogleApi.PubSub.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. topics_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_test_iam_permissions/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_test_iam_permissions/5","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.PubSub.V1.","ref":"GoogleApi.PubSub.V1.Connection.html","title":"GoogleApi.PubSub.V1.Connection","type":"module"},{"doc":"Perform a DELETE request.See request/1 or request/2 for options definition.delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#delete/3","title":"GoogleApi.PubSub.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request.See request!/1 or request!/2 for options definition.delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#delete!/3","title":"GoogleApi.PubSub.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connectionReturns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.PubSub.V1.Connection.html#execute/2","title":"GoogleApi.PubSub.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request.See request/1 or request/2 for options definition.get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#get/3","title":"GoogleApi.PubSub.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request.See request!/1 or request!/2 for options definition.get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#get!/3","title":"GoogleApi.PubSub.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request.See request/1 or request/2 for options definition.head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#head/3","title":"GoogleApi.PubSub.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request.See request!/1 or request!/2 for options definition.head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#head!/3","title":"GoogleApi.PubSub.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connectionReturns Tesla.Env.client","ref":"GoogleApi.PubSub.V1.Connection.html#new/0","title":"GoogleApi.PubSub.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token.Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopesReturns Tesla.Env.client","ref":"GoogleApi.PubSub.V1.Connection.html#new/1","title":"GoogleApi.PubSub.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request.See request/1 or request/2 for options definition.options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#options/3","title":"GoogleApi.PubSub.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request.See request!/1 or request!/2 for options definition.options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#options!/3","title":"GoogleApi.PubSub.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request.See request/1 or request/2 for options definition.patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#patch/4","title":"GoogleApi.PubSub.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request.See request!/1 or request!/2 for options definition.patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#patch!/4","title":"GoogleApi.PubSub.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request.See request/1 or request/2 for options definition.post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#post/4","title":"GoogleApi.PubSub.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request.See request!/1 or request!/2 for options definition.post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#post!/4","title":"GoogleApi.PubSub.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request.See request/1 or request/2 for options definition.put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#put/4","title":"GoogleApi.PubSub.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request.See request!/1 or request!/2 for options definition.put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#put!/4","title":"GoogleApi.PubSub.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request.Options:method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch]:url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl:query - a keyword list of query params, e.g. [page: 1, per_page: 100]:headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}]:body - depends on used middleware:by default it can be a binaryif using e.g. JSON encoding middleware it can be a nested mapif adapter supports it it can be a Stream with any of the above:opts - custom, per-request middleware or adapter optionsExamplesExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.PubSub.V1.Connection.html#request/2","title":"GoogleApi.PubSub.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error.This is similar to request/2 behaviour from Tesla 0.xSee request/2 for list of available options.","ref":"GoogleApi.PubSub.V1.Connection.html#request!/2","title":"GoogleApi.PubSub.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request.See request/1 or request/2 for options definition.trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#trace/3","title":"GoogleApi.PubSub.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request.See request!/1 or request!/2 for options definition.trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.PubSub.V1.Connection.html#trace!/3","title":"GoogleApi.PubSub.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Connection.html#t:option/0","title":"GoogleApi.PubSub.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.PubSub.V1.Connection.html#t:t/0","title":"GoogleApi.PubSub.V1.Connection.t/0","type":"type"},{"doc":"Request for the Acknowledge method.Attributes ackIds (type: list(String.t), default: nil) - Required. The acknowledgment ID for the messages being acknowledged that was returned by the Pub/Sub system in the Pull response. Must not be empty.","ref":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.html","title":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.t/0","type":"type"},{"doc":"Associates members with a role.Attributes condition (type: GoogleApi.PubSub.V1.Model.Expr.t, default: nil) - The condition that is associated with this binding.If the condition evaluates to true, then this binding applies to the current request. If the condition evaluates to false, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the members in this binding. To learn which resources support conditions in their IAM policies, see the IAM documentation. members (type: list(String.t), default: nil) - Specifies the identities requesting access for a Cloud Platform resource. members can have the following values:allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account.allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account.user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com .serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com.group:{emailid}: An email address that represents a Google group. For example, admins@example.com.deleted:user:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a user that has been recently deleted. For example, alice@example.com?uid=123456789012345678901. If the user is recovered, this value reverts to user:{emailid} and the recovered user retains the role in the binding.deleted:serviceAccount:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901. If the service account is undeleted, this value reverts to serviceAccount:{emailid} and the undeleted service account retains the role in the binding.deleted:group:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, admins@example.com?uid=123456789012345678901. If the group is recovered, this value reverts to group:{emailid} and the recovered group retains the role in the binding.domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com. role (type: String.t, default: nil) - Role that is assigned to members. For example, roles/viewer, roles/editor, or roles/owner.","ref":"GoogleApi.PubSub.V1.Model.Binding.html","title":"GoogleApi.PubSub.V1.Model.Binding","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Binding.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Binding.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Binding.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Binding.t/0","type":"type"},{"doc":"Request for the CreateSnapshot method.Attributes labels (type: map(), default: nil) - See &lt;a href=&quot;https://cloud.google.com/pubsub/docs/labels&quot;&gt; Creating and managing labels&lt;/a&gt;. subscription (type: String.t, default: nil) - Required. The subscription whose backlog the snapshot retains. Specifically, the created snapshot is guaranteed to retain: (a) The existing backlog on the subscription. More precisely, this is defined as the messages in the subscription&#39;s backlog that are unacknowledged upon the successful completion of the `CreateSnapshot` request; as well as: (b) Any messages published to the subscription's topic following the successful completion of the CreateSnapshot request.Format is projects/{project}/subscriptions/{sub}.","ref":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.html","title":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.t/0","type":"type"},{"doc":"Dead lettering is done on a best effort basis. The same message might be dead lettered multiple times.If validation on any of the fields fails at subscription creation/updation, the create/update subscription request will fail.Attributes deadLetterTopic (type: String.t, default: nil) - The name of the topic to which dead letter messages should be published. Format is projects/{project}/topics/{topic}.The Cloud Pub/Sub service account associated with the enclosing subscription's parent project (i.e., service-{project_number}@gcp-sa-pubsub.iam.gserviceaccount.com) must have permission to Publish() to this topic.The operation will fail if the topic does not exist. Users should ensure that there is a subscription attached to this topic since messages published to a topic with no subscriptions are lost. maxDeliveryAttempts (type: integer(), default: nil) - The maximum number of delivery attempts for any message. The value must be between 5 and 100.The number of delivery attempts is defined as 1 + (the sum of number of NACKs and number of times the acknowledgement deadline has been exceeded for the message). A NACK is any call to ModifyAckDeadline with a 0 deadline. Note that client libraries may automatically extend ack_deadlines. This field will be honored on a best effort basis. If this parameter is 0, a default value of 5 is used.","ref":"GoogleApi.PubSub.V1.Model.DeadLetterPolicy.html","title":"GoogleApi.PubSub.V1.Model.DeadLetterPolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.DeadLetterPolicy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.DeadLetterPolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.DeadLetterPolicy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.DeadLetterPolicy.t/0","type":"type"},{"doc":"Response for the DetachSubscription method. Reserved for future use.Attributes","ref":"GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse.html","title":"GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.DetachSubscriptionResponse.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }The JSON representation for Empty is empty JSON object {}.Attributes","ref":"GoogleApi.PubSub.V1.Model.Empty.html","title":"GoogleApi.PubSub.V1.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Empty.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Empty.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Empty.t/0","type":"type"},{"doc":"A policy that specifies the conditions for resource expiration (i.e., automatic resource deletion).Attributes ttl (type: String.t, default: nil) - Specifies the &quot;time-to-live&quot; duration for an associated resource. The resource expires if it is not active for a period of ttl. The definition of &quot;activity&quot; depends on the type of the associated resource. The minimum and maximum allowed values for ttl depend on the type of the associated resource, as well. If ttl is not set, the associated resource never expires.","ref":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.html","title":"GoogleApi.PubSub.V1.Model.ExpirationPolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.t/0","type":"type"},{"doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec.Example (Comparison):title: &quot;Summary size limit&quot; description: &quot;Determines if a summary is less than 100 chars&quot; expression: &quot;document.summary.size() &lt; 100&quot;Example (Equality):title: &quot;Requestor is owner&quot; description: &quot;Determines if requestor is the document owner&quot; expression: &quot;document.owner == request.auth.claims.email&quot;Example (Logic):title: &quot;Public documents&quot; description: &quot;Determine whether the document should be publicly visible&quot; expression: &quot;document.type != &#39;private&#39; &amp;&amp; document.type != &#39;internal&#39;&quot;Example (Data Manipulation):title: &quot;Notification string&quot; description: &quot;Create a notification string with a timestamp.&quot; expression: &quot;&#39;New message received at &#39; + string(document.create_time)&quot;The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.Attributes description (type: String.t, default: nil) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. expression (type: String.t, default: nil) - Textual representation of an expression in Common Expression Language syntax. location (type: String.t, default: nil) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file. title (type: String.t, default: nil) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.PubSub.V1.Model.Expr.html","title":"GoogleApi.PubSub.V1.Model.Expr","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Expr.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Expr.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Expr.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Expr.t/0","type":"type"},{"doc":"Response for the ListSnapshots method.Attributes nextPageToken (type: String.t, default: nil) - If not empty, indicates that there may be more snapshot that match the request; this value should be passed in a new ListSnapshotsRequest. snapshots (type: list(GoogleApi.PubSub.V1.Model.Snapshot.t), default: nil) - The resulting snapshots.","ref":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.t/0","type":"type"},{"doc":"Response for the ListSubscriptions method.Attributes nextPageToken (type: String.t, default: nil) - If not empty, indicates that there may be more subscriptions that match the request; this value should be passed in a new ListSubscriptionsRequest to get more subscriptions. subscriptions (type: list(GoogleApi.PubSub.V1.Model.Subscription.t), default: nil) - The subscriptions that match the request.","ref":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.t/0","type":"type"},{"doc":"Response for the ListTopicSnapshots method.Attributes nextPageToken (type: String.t, default: nil) - If not empty, indicates that there may be more snapshots that match the request; this value should be passed in a new ListTopicSnapshotsRequest to get more snapshots. snapshots (type: list(String.t), default: nil) - The names of the snapshots that match the request.","ref":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.t/0","type":"type"},{"doc":"Response for the ListTopicSubscriptions method.Attributes nextPageToken (type: String.t, default: nil) - If not empty, indicates that there may be more subscriptions that match the request; this value should be passed in a new ListTopicSubscriptionsRequest to get more subscriptions. subscriptions (type: list(String.t), default: nil) - The names of subscriptions attached to the topic specified in the request.","ref":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.t/0","type":"type"},{"doc":"Response for the ListTopics method.Attributes nextPageToken (type: String.t, default: nil) - If not empty, indicates that there may be more topics that match the request; this value should be passed in a new ListTopicsRequest. topics (type: list(GoogleApi.PubSub.V1.Model.Topic.t), default: nil) - The resulting topics.","ref":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListTopicsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.t/0","type":"type"},{"doc":"A policy constraining the storage of messages published to the topic.Attributes allowedPersistenceRegions (type: list(String.t), default: nil) - A list of IDs of GCP regions where messages that are published to the topic may be persisted in storage. Messages published by publishers running in non-allowed GCP regions (or running outside of GCP altogether) will be routed for storage in one of the allowed regions. An empty list means that no regions are allowed, and is not a valid configuration.","ref":"GoogleApi.PubSub.V1.Model.MessageStoragePolicy.html","title":"GoogleApi.PubSub.V1.Model.MessageStoragePolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.MessageStoragePolicy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.MessageStoragePolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.MessageStoragePolicy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.MessageStoragePolicy.t/0","type":"type"},{"doc":"Request for the ModifyAckDeadline method.Attributes ackDeadlineSeconds (type: integer(), default: nil) - Required. The new ack deadline with respect to the time this request was sent to the Pub/Sub system. For example, if the value is 10, the new ack deadline will expire 10 seconds after the ModifyAckDeadline call was made. Specifying zero might immediately make the message available for delivery to another subscriber client. This typically results in an increase in the rate of message redeliveries (that is, duplicates). The minimum deadline you can specify is 0 seconds. The maximum deadline you can specify is 600 seconds (10 minutes). ackIds (type: list(String.t), default: nil) - Required. List of acknowledgment IDs.","ref":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.html","title":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.t/0","type":"type"},{"doc":"Request for the ModifyPushConfig method.Attributes pushConfig (type: GoogleApi.PubSub.V1.Model.PushConfig.t, default: nil) - Required. The push configuration for future deliveries.An empty pushConfig indicates that the Pub/Sub system should stop pushing messages from the given subscription and allow messages to be pulled and acknowledged - effectively pausing the subscription if Pull or StreamingPull is not called.","ref":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.html","title":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.t/0","type":"type"},{"doc":"Contains information needed for generating an OpenID Connect token.Attributes audience (type: String.t, default: nil) - Audience to be used when generating OIDC token. The audience claim identifies the recipients that the JWT is intended for. The audience value is a single case-sensitive string. Having multiple values (array) for the audience field is not supported. More info about the OIDC JWT token audience here: https://tools.ietf.org/html/rfc7519#section-4.1.3 Note: if not specified, the Push endpoint URL will be used. serviceAccountEmail (type: String.t, default: nil) - Service account email to be used for generating the OIDC token. The caller (for CreateSubscription, UpdateSubscription, and ModifyPushConfig RPCs) must have the iam.serviceAccounts.actAs permission for the service account.","ref":"GoogleApi.PubSub.V1.Model.OidcToken.html","title":"GoogleApi.PubSub.V1.Model.OidcToken","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.OidcToken.html#decode/2","title":"GoogleApi.PubSub.V1.Model.OidcToken.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.OidcToken.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.OidcToken.t/0","type":"type"},{"doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources.A Policy is a collection of bindings. A binding binds one or more members to a single role. Members can be user accounts, service accounts, Google groups, and domains (such as G Suite). A role is a named list of permissions; each role can be an IAM predefined role or a user-created custom role.For some types of Google Cloud resources, a binding can also specify a condition, which is a logical expression that allows access to a resource only if the expression evaluates to true. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the IAM documentation.JSON example:{ &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/resourcemanager.organizationAdmin&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-project-id@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/resourcemanager.organizationViewer&quot;, &quot;members&quot;: [ &quot;user:eve@example.com&quot; ], &quot;condition&quot;: { &quot;title&quot;: &quot;expirable access&quot;, &quot;description&quot;: &quot;Does not grant access after Sep 2020&quot;, &quot;expression&quot;: &quot;request.time &lt; timestamp(&#39;2020-10-01T00:00:00.000Z&#39;)&quot;, } } ], &quot;etag&quot;: &quot;BwWWja0YfJA=&quot;, &quot;version&quot;: 3 }YAML example:bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time &lt; timestamp(&#39;2020-10-01T00:00:00.000Z&#39;) - etag: BwWWja0YfJA= - version: 3For a description of IAM and its features, see the IAM documentation.Attributes bindings (type: list(GoogleApi.PubSub.V1.Model.Binding.t), default: nil) - Associates a list of members to a role. Optionally, may specify a condition that determines how and when the bindings are applied. Each of the bindings must contain at least one member. etag (type: String.t, default: nil) - etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy.Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost. version (type: integer(), default: nil) - Specifies the format of the policy.Valid values are 0, 1, and 3. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version 3. This requirement applies to the following operations:Getting a policy that includes a conditional role bindingAdding a conditional role binding to a policyChanging a conditional role binding in a policyRemoving any role binding, with or without a condition, from a policy that includes conditions Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation.","ref":"GoogleApi.PubSub.V1.Model.Policy.html","title":"GoogleApi.PubSub.V1.Model.Policy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Policy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Policy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Policy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Policy.t/0","type":"type"},{"doc":"Request for the Publish method.Attributes messages (type: list(GoogleApi.PubSub.V1.Model.PubsubMessage.t), default: nil) - Required. The messages to publish.","ref":"GoogleApi.PubSub.V1.Model.PublishRequest.html","title":"GoogleApi.PubSub.V1.Model.PublishRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.PublishRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PublishRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.PublishRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PublishRequest.t/0","type":"type"},{"doc":"Response for the Publish method.Attributes messageIds (type: list(String.t), default: nil) - The server-assigned ID of each published message, in the same order as the messages in the request. IDs are guaranteed to be unique within the topic.","ref":"GoogleApi.PubSub.V1.Model.PublishResponse.html","title":"GoogleApi.PubSub.V1.Model.PublishResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.PublishResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PublishResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.PublishResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PublishResponse.t/0","type":"type"},{"doc":"A message that is published by publishers and consumed by subscribers. The message must contain either a non-empty data field or at least one attribute. Note that client libraries represent this object differently depending on the language. See the corresponding client library documentation for more information. See [quotas and limits] (https://cloud.google.com/pubsub/quotas) for more information about message limits.Attributes attributes (type: map(), default: nil) - Attributes for this message. If this field is empty, the message must contain non-empty data. This can be used to filter messages on the subscription. data (type: String.t, default: nil) - The message data field. If this field is empty, the message must contain at least one attribute. messageId (type: String.t, default: nil) - ID of this message, assigned by the server when the message is published. Guaranteed to be unique within the topic. This value may be read by a subscriber that receives a PubsubMessage via a Pull call or a push delivery. It must not be populated by the publisher in a Publish call. orderingKey (type: String.t, default: nil) - If non-empty, identifies related messages for which publish order should be respected. If a Subscription has enable_message_ordering set to true, messages published with the same non-empty ordering_key value will be delivered to subscribers in the order in which they are received by the Pub/Sub system. All PubsubMessages published in a given PublishRequest must specify the same ordering_key value. publishTime (type: DateTime.t, default: nil) - The time at which the message was published, populated by the server when it receives the Publish call. It must not be populated by the publisher in a Publish call.","ref":"GoogleApi.PubSub.V1.Model.PubsubMessage.html","title":"GoogleApi.PubSub.V1.Model.PubsubMessage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.PubsubMessage.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PubsubMessage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.PubsubMessage.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PubsubMessage.t/0","type":"type"},{"doc":"Request for the Pull method.Attributes maxMessages (type: integer(), default: nil) - Required. The maximum number of messages to return for this request. Must be a positive integer. The Pub/Sub system may return fewer than the number specified. returnImmediately (type: boolean(), default: nil) - Optional. If this field set to true, the system will respond immediately even if it there are no messages available to return in the Pull response. Otherwise, the system may wait (for a bounded amount of time) until at least one message is available, rather than returning no messages. Warning: setting this field to true is discouraged because it adversely impacts the performance of Pull operations. We recommend that users do not set this field.","ref":"GoogleApi.PubSub.V1.Model.PullRequest.html","title":"GoogleApi.PubSub.V1.Model.PullRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.PullRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PullRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.PullRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PullRequest.t/0","type":"type"},{"doc":"Response for the Pull method.Attributes receivedMessages (type: list(GoogleApi.PubSub.V1.Model.ReceivedMessage.t), default: nil) - Received Pub/Sub messages. The list will be empty if there are no more messages available in the backlog. For JSON, the response can be entirely empty. The Pub/Sub system may return fewer than the maxMessages requested even if there are more messages available in the backlog.","ref":"GoogleApi.PubSub.V1.Model.PullResponse.html","title":"GoogleApi.PubSub.V1.Model.PullResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.PullResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PullResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.PullResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PullResponse.t/0","type":"type"},{"doc":"Configuration for a push delivery endpoint.Attributes attributes (type: map(), default: nil) - Endpoint configuration attributes that can be used to control different aspects of the message delivery.The only currently supported attribute is x-goog-version, which you can use to change the format of the pushed message. This attribute indicates the version of the data expected by the endpoint. This controls the shape of the pushed message (i.e., its fields and metadata). If not present during the CreateSubscription call, it will default to the version of the Pub/Sub API used to make such call. If not present in a ModifyPushConfig call, its value will not be changed. GetSubscription calls will always return a valid version, even if the subscription was created without this attribute. The only supported values for the x-goog-version attribute are:v1beta1: uses the push format defined in the v1beta1 Pub/Sub API.v1 or v1beta2: uses the push format defined in the v1 Pub/Sub API. For example: &lt;pre&gt;&lt;code&gt;attributes { &quot;x-goog-version&quot;: &quot;v1&quot; } &lt;/code&gt;&lt;/pre&gt; oidcToken (type: GoogleApi.PubSub.V1.Model.OidcToken.t, default: nil) - If specified, Pub/Sub will generate and attach an OIDC JWT token as an Authorization header in the HTTP request for every pushed message. pushEndpoint (type: String.t, default: nil) - A URL locating the endpoint to which messages should be pushed. For example, a Webhook endpoint might use https://example.com/push.","ref":"GoogleApi.PubSub.V1.Model.PushConfig.html","title":"GoogleApi.PubSub.V1.Model.PushConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.PushConfig.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PushConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.PushConfig.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PushConfig.t/0","type":"type"},{"doc":"A message and its corresponding acknowledgment ID.Attributes ackId (type: String.t, default: nil) - This ID can be used to acknowledge the received message. deliveryAttempt (type: integer(), default: nil) - The approximate number of times that Cloud Pub/Sub has attempted to deliver the associated message to a subscriber.More precisely, this is 1 + (number of NACKs) + (number of ack_deadline exceeds) for this message. A NACK is any call to ModifyAckDeadline with a 0 deadline. An ack_deadline exceeds event is whenever a message is not acknowledged within ack_deadline. Note that ack_deadline is initially Subscription.ackDeadlineSeconds, but may get extended automatically by the client library. Upon the first delivery of a given message, delivery_attempt will have a value of 1. The value is calculated at best effort and is approximate. If a DeadLetterPolicy is not set on the subscription, this will be 0. message (type: GoogleApi.PubSub.V1.Model.PubsubMessage.t, default: nil) - The message.","ref":"GoogleApi.PubSub.V1.Model.ReceivedMessage.html","title":"GoogleApi.PubSub.V1.Model.ReceivedMessage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.ReceivedMessage.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ReceivedMessage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.ReceivedMessage.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ReceivedMessage.t/0","type":"type"},{"doc":"A policy that specifies how Cloud Pub/Sub retries message delivery.Retry delay will be exponential based on provided minimum and maximum backoffs. https://en.wikipedia.org/wiki/Exponential_backoff.RetryPolicy will be triggered on NACKs or acknowledgement deadline exceeded events for a given message.Retry Policy is implemented on a best effort basis. At times, the delay between consecutive deliveries may not match the configuration. That is, delay can be more or less than configured backoff.Attributes maximumBackoff (type: String.t, default: nil) - The maximum delay between consecutive deliveries of a given message. Value should be between 0 and 600 seconds. Defaults to 600 seconds. minimumBackoff (type: String.t, default: nil) - The minimum delay between consecutive deliveries of a given message. Value should be between 0 and 600 seconds. Defaults to 10 seconds.","ref":"GoogleApi.PubSub.V1.Model.RetryPolicy.html","title":"GoogleApi.PubSub.V1.Model.RetryPolicy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.RetryPolicy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.RetryPolicy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.RetryPolicy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.RetryPolicy.t/0","type":"type"},{"doc":"Request for the Seek method.Attributes snapshot (type: String.t, default: nil) - The snapshot to seek to. The snapshot's topic must be the same as that of the provided subscription. Format is projects/{project}/snapshots/{snap}. time (type: DateTime.t, default: nil) - The time to seek to. Messages retained in the subscription that were published before this time are marked as acknowledged, and messages retained in the subscription that were published after this time are marked as unacknowledged. Note that this operation affects only those messages retained in the subscription (configured by the combination of message_retention_duration and retain_acked_messages). For example, if time corresponds to a point before the message retention window (or to a point before the system's notion of the subscription creation time), only retained messages will be marked as unacknowledged, and already-expunged messages will not be restored.","ref":"GoogleApi.PubSub.V1.Model.SeekRequest.html","title":"GoogleApi.PubSub.V1.Model.SeekRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.SeekRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.SeekRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.SeekRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.SeekRequest.t/0","type":"type"},{"doc":"Response for the Seek method (this response is empty).Attributes","ref":"GoogleApi.PubSub.V1.Model.SeekResponse.html","title":"GoogleApi.PubSub.V1.Model.SeekResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.SeekResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.SeekResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.SeekResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.SeekResponse.t/0","type":"type"},{"doc":"Request message for SetIamPolicy method.Attributes policy (type: GoogleApi.PubSub.V1.Model.Policy.t, default: nil) - REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them.","ref":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.t/0","type":"type"},{"doc":"A snapshot resource. Snapshots are used in Seek operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot.Attributes expireTime (type: DateTime.t, default: nil) - The snapshot is guaranteed to exist up until this time. A newly-created snapshot expires no later than 7 days from the time of its creation. Its exact lifetime is determined at creation by the existing backlog in the source subscription. Specifically, the lifetime of the snapshot is 7 days - (age of oldest unacked message in the subscription). For example, consider a subscription whose oldest unacked message is 3 days old. If a snapshot is created from this subscription, the snapshot -- which will always capture this 3-day-old backlog as long as the snapshot exists -- will expire in 4 days. The service will refuse to create a snapshot that would expire in less than 1 hour after creation. labels (type: map(), default: nil) - See [Creating and managing labels] (https://cloud.google.com/pubsub/docs/labels). name (type: String.t, default: nil) - The name of the snapshot. topic (type: String.t, default: nil) - The name of the topic from which this snapshot is retaining messages.","ref":"GoogleApi.PubSub.V1.Model.Snapshot.html","title":"GoogleApi.PubSub.V1.Model.Snapshot","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Snapshot.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Snapshot.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Snapshot.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Snapshot.t/0","type":"type"},{"doc":"A subscription resource.Attributes ackDeadlineSeconds (type: integer(), default: nil) - The approximate amount of time (on a best-effort basis) Pub/Sub waits for the subscriber to acknowledge receipt before resending the message. In the interval after the message is delivered and before it is acknowledged, it is considered to be &lt;i&gt;outstanding&lt;/i&gt;. During that time period, the message will not be redelivered (on a best-effort basis).For pull subscriptions, this value is used as the initial value for the ack deadline. To override this value for a given message, call ModifyAckDeadline with the corresponding ack_id if using non-streaming pull or send the ack_id in a StreamingModifyAckDeadlineRequest if using streaming pull. The minimum custom deadline you can specify is 10 seconds. The maximum custom deadline you can specify is 600 seconds (10 minutes). If this parameter is 0, a default value of 10 seconds is used. For push delivery, this value is also used to set the request timeout for the call to the push endpoint. If the subscriber never acknowledges the message, the Pub/Sub system will eventually redeliver the message. deadLetterPolicy (type: GoogleApi.PubSub.V1.Model.DeadLetterPolicy.t, default: nil) - A policy that specifies the conditions for dead lettering messages in this subscription. If dead_letter_policy is not set, dead lettering is disabled.The Cloud Pub/Sub service account associated with this subscriptions's parent project (i.e., service-{project_number}@gcp-sa-pubsub.iam.gserviceaccount.com) must have permission to Acknowledge() messages on this subscription. enableMessageOrdering (type: boolean(), default: nil) - If true, messages published with the same ordering_key in PubsubMessage will be delivered to the subscribers in the order in which they are received by the Pub/Sub system. Otherwise, they may be delivered in any order. expirationPolicy (type: GoogleApi.PubSub.V1.Model.ExpirationPolicy.t, default: nil) - A policy that specifies the conditions for this subscription's expiration. A subscription is considered active as long as any connected subscriber is successfully consuming messages from the subscription or is issuing operations on the subscription. If expiration_policy is not set, a default policy with ttl of 31 days will be used. The minimum allowed value for expiration_policy.ttl is 1 day. filter (type: String.t, default: nil) - An expression written in the Pub/Sub filter language. If non-empty, then only PubsubMessages whose attributes field matches the filter are delivered on this subscription. If empty, then no messages are filtered out. labels (type: map(), default: nil) - See &lt;a href=&quot;https://cloud.google.com/pubsub/docs/labels&quot;&gt; Creating and managing labels&lt;/a&gt;. messageRetentionDuration (type: String.t, default: nil) - How long to retain unacknowledged messages in the subscription's backlog, from the moment a message is published. If retain_acked_messages is true, then this also configures the retention of acknowledged messages, and thus configures how far back in time a Seek can be done. Defaults to 7 days. Cannot be more than 7 days or less than 10 minutes. name (type: String.t, default: nil) - Required. The name of the subscription. It must have the format &quot;projects/{project}/subscriptions/{subscription}&quot;. {subscription} must start with a letter, and contain only letters ([A-Za-z]), numbers ([0-9]), dashes (-), underscores (_), periods (.), tildes (~), plus (+) or percent signs (%). It must be between 3 and 255 characters in length, and it must not start with &quot;goog&quot;. pushConfig (type: GoogleApi.PubSub.V1.Model.PushConfig.t, default: nil) - If push delivery is used with this subscription, this field is used to configure it. An empty pushConfig signifies that the subscriber will pull and ack messages using API methods. retainAckedMessages (type: boolean(), default: nil) - Indicates whether to retain acknowledged messages. If true, then messages are not expunged from the subscription's backlog, even if they are acknowledged, until they fall out of the message_retention_duration window. This must be true if you would like to [Seek to a timestamp] (https://cloud.google.com/pubsub/docs/replay-overview#seek_to_a_time). retryPolicy (type: GoogleApi.PubSub.V1.Model.RetryPolicy.t, default: nil) - A policy that specifies how Pub/Sub retries message delivery for this subscription.If not set, the default retry policy is applied. This generally implies that messages will be retried as soon as possible for healthy subscribers. RetryPolicy will be triggered on NACKs or acknowledgement deadline exceeded events for a given message. topic (type: String.t, default: nil) - Required. The name of the topic from which this subscription is receiving messages. Format is projects/{project}/topics/{topic}. The value of this field will be _deleted-topic_ if the topic has been deleted.","ref":"GoogleApi.PubSub.V1.Model.Subscription.html","title":"GoogleApi.PubSub.V1.Model.Subscription","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Subscription.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Subscription.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Subscription.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Subscription.t/0","type":"type"},{"doc":"Request message for TestIamPermissions method.Attributes permissions (type: list(String.t), default: nil) - The set of permissions to check for the resource. Permissions with wildcards (such as '' or 'storage.') are not allowed. For more information see IAM Overview.","ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.t/0","type":"type"},{"doc":"Response message for TestIamPermissions method.Attributes permissions (type: list(String.t), default: nil) - A subset of TestPermissionsRequest.permissions that the caller is allowed.","ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.t/0","type":"type"},{"doc":"A topic resource.Attributes kmsKeyName (type: String.t, default: nil) - The resource name of the Cloud KMS CryptoKey to be used to protect access to messages published on this topic.The expected format is projects/*/locations/*/keyRings/*/cryptoKeys/*. labels (type: map(), default: nil) - See [Creating and managing labels] (https://cloud.google.com/pubsub/docs/labels). messageStoragePolicy (type: GoogleApi.PubSub.V1.Model.MessageStoragePolicy.t, default: nil) - Policy constraining the set of Google Cloud Platform regions where messages published to the topic may be stored. If not present, then no constraints are in effect. name (type: String.t, default: nil) - Required. The name of the topic. It must have the format &quot;projects/{project}/topics/{topic}&quot;. {topic} must start with a letter, and contain only letters ([A-Za-z]), numbers ([0-9]), dashes (-), underscores (_), periods (.), tildes (~), plus (+) or percent signs (%). It must be between 3 and 255 characters in length, and it must not start with &quot;goog&quot;.","ref":"GoogleApi.PubSub.V1.Model.Topic.html","title":"GoogleApi.PubSub.V1.Model.Topic","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.Topic.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Topic.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.Topic.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Topic.t/0","type":"type"},{"doc":"Request for the UpdateSnapshot method.Attributes snapshot (type: GoogleApi.PubSub.V1.Model.Snapshot.t, default: nil) - Required. The updated snapshot object. updateMask (type: String.t, default: nil) - Required. Indicates which fields in the provided snapshot to update. Must be specified and non-empty.","ref":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.html","title":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.t/0","type":"type"},{"doc":"Request for the UpdateSubscription method.Attributes subscription (type: GoogleApi.PubSub.V1.Model.Subscription.t, default: nil) - Required. The updated subscription object. updateMask (type: String.t, default: nil) - Required. Indicates which fields in the provided subscription to update. Must be specified and non-empty.","ref":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.html","title":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.t/0","type":"type"},{"doc":"Request for the UpdateTopic method.Attributes topic (type: GoogleApi.PubSub.V1.Model.Topic.t, default: nil) - Required. The updated topic object. updateMask (type: String.t, default: nil) - Required. Indicates which fields in the provided topic to update. Must be specified and non-empty. Note that if update_mask contains &quot;message_storage_policy&quot; but the message_storage_policy is not set in the topic provided above, then the updated value is determined by the policy configured at the project or organization level.","ref":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.html","title":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.t/0","type":"type"}]